
body{
    margin: 20px;
    padding: 0;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.material-icons {
    position: absolute;
    margin-left: 5px;
    padding: 5px;
    padding-left: 395px;
}


input[type="file"]{
    display: none;

}


/*Upload Photo text*/
label{
    color: black;
    height: 20px;
    width: 80%;
    
    background-color: #DDDDDD;
    position: absolute ;
    top: 0 0 0 0;
    font-size: 14px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border: 2px solid #cccccc;
    cursor: pointer;
 }
 

/*Upload Photo button*/
 .addPhotoContainer {
     position: absolute;
     width: 20%;
 }



/*Preview image container*/
.image-preview{
    width: 100%;
    /*height: 85%; --Settings for my big screen*/
    height: 68%;
    border: 2px dotted lightgray;
    display:flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #cccccc;
}


.image-preview__image{
    display: none;
    width: 100%;
}


.container{
    padding-top: 25px;
    display: grid;
    grid-template-columns: repeat(5,1fr);
    /*grid-auto-rows value 100px 300px means that it will display the 
    image alternately by 100px on 1st row then 300px on 2nd row and so forth
    grid-auto-rows: 100px 300px; */
    grid-auto-rows: 200px 200px;
    /*margin in between the items */
    grid-gap: 35px;
    /*use to fill the if ever there's a gap in between the images */
    grid-auto-rows: dense;
}

h3 {
    text-align: center;
    color:seashell;
}


.gallery-item{
    width: 100%;
    height: 88%;
    position: relative;
}


.gallery-item .image{
    width: 100%;
    height: 88%;
    overflow: hidden;
}


.gallery-item .image img{
    width: 100%;
    height: 88%;
    object-fit: cover;
    /*object-position attribute is used to specify the focal point of the image
    when page is resize; the value 50% 50% means it will focus on center of the image */
    object-position: 50% 50%;
    /*mouse pointer*/
    cursor: pointer;
    transition: .5s ease-in-out;
}

/*Animation: When hover to the image, it will enlarge the image */
.gallery-item:hover .image img{
    transform: scale(1.5);
}


/*=====Button=====*/
.closeButton {
    position: absolute;
    width: 22px;
    height: 18px;
    /*border-radius: 50%;*/
    /*border: 2px solid #666666;*/
    border: 2px solid #666666;
    right: 0px;
    top: 0px;
    /*background-color: #ffff;*/
    background-color: black;
    opacity: 60%;
    cursor: pointer;
}

/*===X================*/
.closeButton > .x1, .x2 {
    position: absolute;
    width: 22px;
    height: 4px;
    /*background: #F9F9F9;*/
    background: #F2EDD7;
    /*background: green;*/
    left: 0px;
    top: 7px;
}

.x1 {
    -webkit-transform: rotate(45deg);
}


.x2 {
    -webkit-transform: rotate(-45deg);
}






/*
.closeButton > div:first-child {
    -webkit-transform: rotate(45deg);
}
.closeButton > div:last-child {
    -webkit-transform: rotate(-45deg);
} */



/*Use these styling if you want to have a dynamic size of images 
.w-1{
    grid-column: span 1;
}
.w-2{
    grid-column: span 2;
}
.w-3{
    grid-column: span 3;
}
.w-4{
    grid-column: span 4;
}
.w-5{
    grid-column: span 5;
}
.w-6{
    grid-column: span 6;
} */

/*----CSS Rule --------
This is used to define the mminumum number of columns to display when
the screen is shrink to its maximum*/
@media screen and (max-width:500px){
    .container{
        grid-template-columns: repeat(1,1fr);

        /*---turn this on if using a dynamic image size
        /*this will set those spanned images to 1 column when the screen is shrink 
        to its maximum 
        .w-1,.w-2,.w-3,.w-4,.w-5,.w-6{
            grid-column: span 1; 
        } */
    }
}


/*this is how you create the animation
move-down - user-defined name (name of animation used in .gallery-item:hover .text above */
@keyframes move-down{
    0%{top:10%}
    50%{top:35%}
    100%{top:50%}
}
